# $Revision: 1.19 $, $Date: 2002/06/11 06:19:30 $
Summary:	The LAPACK libraries for numerical linear algebra
Summary(pl):	Biblioteki numeryczne LAPACK do algebry liniowej
Name:		lapack
Version:	3.0
Release:	17
License:	freely distributable
Group:		Development/Libraries
Source0:	http://www.netlib.org/lapack/%{name}.tgz
Source1:	http://www.netlib.org/lapack/manpages.tgz
Patch0:		%{name}-automake_support.patch
Patch1:		%{name}-20010525.patch
URL:		http://www.netlib.org/lapack/
BuildRequires:	gcc-g77
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	ed
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Requires:	blas = %{version}

%description
LAPACK (Linear Algebra PACKage) is a standard library for numerical
linear algebra. LAPACK provides routines for solving systems of
simultaneous linear equations, least-squares solutions of linear
systems of equations, eigenvalue problems, and singular value
problems. Associated matrix factorizations (LU, Cholesky, QR, SVD,
Schur, and generalized Schur) and related computations (i.e.,
reordering of Schur factorizations and estimating condition numbers)
are also included. LAPACK can handle dense and banded matrices, but
not general sparse matrices. Similar functionality is provided for
real and complex matrices in both single and double precision. LAPACK
is coded in Fortran77.

%description -l pl
LAPACK (Linear Algebra PACKage) jest standardow bibliotek numeryczn
do algebry liniowej. Dostarcza funkcje rozwizywania: ukadw rwna
liniowych, ukadw rwna metod najmniejszych kwadratw, problemw
wasnych. Zawiera algorytmy faktoryzacji macierzy (LU, Cholesky'ego,
QR, SVD, Schura, uoglnion Schura) i zwizanych z tym oblicze (np.
przenumerowywanie w faktoryzacji Schura i estymacj uwarunkowania).
LAPACK moe obsugiwa macierze blokowe i pasmowe, ale nie rzadkie w
oglnym przypadku. Zapewnia funkcjonalno dla macierzy rzeczywistych
i zespolonych, dla liczb pojedynczej i podwjnej precyzji. LAPACK jest
napisany w Fortranie 77.

%package devel
Summary:	LAPACK header files
Summary(pl):	Pliki nagwkowe LAPACK
Group:		Development/Libraries
Requires:	%{name} = %{version}
Requires:	blas-devel = %{version}
Obsoletes:	lapack-man

%description devel
LAPACK header files.

%description devel -l pl
Pliki nagwkowe LAPACK.

%package static
Summary:	Static LAPACK libraries
Summary(pl):	Biblioteki statyczne LAPACK
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
Static LAPACK libraries.

%description static -l pl
Biblioteki statyczne LAPACK.

%package -n blas
Summary:	The BLAS (Basic Linear Algebra Subprograms) library for Linux
Summary(pl):	Biblioteka BLAS (Basic Linear Algebra Subprograms) dla Linuksa
Group:		Development/Libraries
Obsoletes:	lapack-blas

%description -n blas
BLAS (Basic Linear Algebra Subprograms) is a standard library for
numerical algebra. BLAS provides a number of basic algorithms for
linear algebra. BLAS is fast and well-tested, was written in FORTRAN
77.

%description -n blas -l pl
BLAS (Basic Linear Algebra Subprograms) jest standardow bibliotek
numeryczn algebry. Dostarcza wiele podstawowych algorytmw dla
algebry liniowej. Jest szybka i dobrze przetestowana, zostaa napisana
w Fortranie 77.

%package -n blas-devel
Summary:	BLAS header files
Summary(pl):	Pliki nagwkowe BLAS
Group:		Development/Libraries
Requires:	blas = %{version}
Obsoletes:	blas-man

%description -n blas-devel
BLAS header files.

%description -n blas-devel -l pl
Pliki nagwkowe BLAS.

%package -n blas-static
Summary:	Static BLAS libraries
Summary(pl):	Biblioteki statyczne BLAS
Group:		Development/Libraries
Requires:	blas-devel = %{version}

%description -n blas-static
Static BLAS libraries.

%description -n blas-static -l pl
Biblioteki statyczne BLAS.

%prep
%setup -q -a1 -n LAPACK
%patch0 -p1
%patch1 -p1
# directory INSTALL conflicts with file INSTALL needed by automake
mv -f INSTALL install

%build
rm -f ltmain.sh
%{__libtoolize}
aclocal
autoheader
%{__autoconf}
%{__automake}
%configure

# libtool 1.4d requires --tag for g77, libtool 1.4.2 fails when --tag is passed
LTTAG=""
grep -q -e '--tag' `which libtool` && LTTAG="--tag=F77"

%{__make} LTTAG="$LTTAG"

%install
rm -rf $RPM_BUILD_ROOT
#workaround libtool
ed SRC/liblapack.la <<EOF
s/relink_command=.*/relink_command=''/
w
q
EOF
%{__make} install DESTDIR=$RPM_BUILD_ROOT

# present both in blas and lapack
rm -f man/manl/{lsame,xerbla}.l

install -d $RPM_BUILD_ROOT%{_mandir}/man3
for d in man/manl/*.l blas/man/manl/*.l ; do
	install $d $RPM_BUILD_ROOT%{_mandir}/man3/`basename $d .l`.3
done

echo "%defattr(644, root, root, 755)" > blasmans.list
find blas/man/manl -name "*.l" -printf "%{_mandir}/man3/%%f\n" | sed 's/\.l/.3*/' >> blasmans.list
echo "%defattr(644, root, root, 755)" > mans.list
find man/manl -name "*.l" -printf "%{_mandir}/man3/%%f\n" | sed 's/\.l/.3*/' >> mans.list

%clean
rm -fr $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%post   -n blas -p /sbin/ldconfig
%postun -n blas -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_libdir}/liblapack.so.*.*.*

%files devel -f mans.list
%defattr(644,root,root,755)
%{_libdir}/liblapack.so

%files static
%defattr(644,root,root,755)
%{_libdir}/liblapack.a

%files -n blas
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libblas.so.*.*.*

%files -n blas-devel -f blasmans.list
%defattr(644,root,root,755)
%{_libdir}/libblas.so

%files -n blas-static
%defattr(644,root,root,755)
%{_libdir}/libblas.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: lapack.spec,v $
Revision 1.19  2002/06/11 06:19:30  kloczek
- bump release to 17.

Revision 1.18  2002/06/09 16:17:03  qboosh
- changed automake_support patch to work with both libtool 1.4.2 and 1.4d
- lapack-devel Requires: blas-devel
- removed conflicting man pages from lapack-devel (already in blas-devel)
- simplified %%prep, new %%doc
- release 14

Revision 1.17  2002/05/21 23:13:42  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.16  2002/04/05 15:26:38  roman
s/Freely/freely in License

Revision 1.15  2002/02/23 03:26:00  kloczek
- adapterized.

Revision 1.14  2002/02/22 23:29:09  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.13  2002/01/18 02:13:36  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.12  2001/12/15 21:29:01  kloczek
- release 13: added 20010525 patch with lapack updates.

Revision 1.11  2001/10/10 18:38:00  qboosh
- libtool 1.4.x ready
- renamed man pages: manl/*.l to man3/*.3

Revision 1.10  2001/09/26 11:51:05  qboosh
- BuildRequires: autoconf, automake, libtool, ed
- pl translations, some fixes in English summaries/descriptions
- release 3

Revision 1.9  2001/07/18 19:51:11  kloczek
- merge man into devel subpackages.

Revision 1.8  2001/07/18 11:22:46  wiget
libtool 1.4b workarounds

Revision 1.7  2000/11/13 08:30:58  qboosh
- BuildRequires: gcc-g77

Revision 1.6  2000/07/26 21:36:47  kloczek
- fixed Source urls.

Revision 1.5  2000/07/25 21:11:04  klakier
- removed config.h.in manual creation (it is autoheader's job)
- Requires: blas

Revision 1.4  2000/07/25 20:56:54  klakier
- fixed libblas perms

Revision 1.3  2000/07/25 16:40:23  klakier
- split to devel and static subpackages

Revision 1.2  2000/07/25 16:32:04  klakier
- added building libraries using automake/autoconf
- PLD adapted

Revision 1.1  2000/07/24 22:40:52  klakier
- adapterized from rh powertools spec

* Wed Jan 19 2000 Tim Powers <timp@redhat.com>
- bzipped sources to conserve space

Based ond spec fiel from RedHat.
yy
